| ghc-6.10.4: The GHC API | Contents | Index

ByteCodeItbls

Documentation
type ItblEnv = NameEnv (Name, ItblPtr)
newtype ItblPtr

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr

itblCode :: ItblPtr -> Ptr ()
mkITbls :: [TyCon] -> IO ItblEnv
data StgInfoTable

Constructors

StgInfoTable |

entry :: Ptr () |
ptrs :: HalfWord |
nptrs :: HalfWord |
tipe :: HalfWord |
srtlen :: HalfWord |

Instances

Storable StgInfoTable

Produced by Haddock version 2.4.2